//
//  CatchLocLibs.h
//  CatchLocSDK
//
//  Created by jjunjjun29 on 2016. 5. 9..
//  Copyright © 2016년 jjunjjun29. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>

#import "CatchLocIntervalEnum.h"

@class ApiComm;
@class CatchLocLocation;

@interface CatchLocLibs : NSObject

+ (CatchLocLibs * _Nonnull)sharedManager;

/* Appdelegate launchOption */
- (void)launchOptionsSetting:(NSDictionary * _Nullable)launchOptions;


/*! CatchLoc Start */
- (void)startCatchLoc:(BOOL)location_service partner_key:(NSString * _Nullable)partner_key member_key:(NSString * _Nullable)member_key catchlocResult:(CatchLocResult _Nullable)catchlocResult;


/*! 위치 서비스 시작 및 종료 */
- (void)startLocationService:(NSInteger)interval catchlocResult:(CatchLocResult _Nullable)catchlocResult;
- (void)stopLocationService;

@property (assign, nonatomic) NSInteger locationInterval;

@end
