//
//  ViewController.m
//  CatchLocSample
//
//  Created by jjunjjun29 on 2016. 6. 8..
//  Copyright © 2016년 jjunjjun29. All rights reserved.
//

#import "ViewController.h"

#import <CatchLocSDK/CatchLocLibs.h>

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    NSString *partner;
    NSString *member;
    
    [[CatchLocLibs sharedManager] startCatchLoc:YES partner_key:partner member_key:member catchlocResult:^(BOOL isOK, NSString *code, NSInteger codeSn, NSString *message, NSString *extMessage) {
        //
    }];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)timerSetting:(id)sender {
    UIAlertController *alert = [UIAlertController alertControllerWithTitle:@""
                                                                   message:@"시간 조정" preferredStyle:UIAlertControllerStyleActionSheet];
    UIAlertAction *real = [UIAlertAction actionWithTitle:@"real" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        [[CatchLocLibs sharedManager] setLocationInterval:0];
    }];
    
    UIAlertAction *min1 = [UIAlertAction actionWithTitle:@"1 min" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        [[CatchLocLibs sharedManager] setLocationInterval:1];
    }];
    
    UIAlertAction *min5 = [UIAlertAction actionWithTitle:@"5 mins" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        [[CatchLocLibs sharedManager] setLocationInterval:5];
    }];
    
    UIAlertAction *min10 = [UIAlertAction actionWithTitle:@"10 mins" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        [[CatchLocLibs sharedManager] setLocationInterval:10];
    }];
    
    UIAlertAction *cancel = [UIAlertAction actionWithTitle:@"취소" style:UIAlertActionStyleCancel handler:^(UIAlertAction * _Nonnull action) {
        //
    }];
    
    [alert addAction:real];
    [alert addAction:min1];
    [alert addAction:min5];
    [alert addAction:min10];
    [alert addAction:cancel];
    
    [self presentViewController:alert animated:YES completion:^{
        //
    }];
}

- (IBAction)stopLocation:(id)sender {
    [[CatchLocLibs sharedManager] stopLocationService];
}


@end
